# Merijn Lamers|28-6-2023|3/3
# Script for a map


# Load the required libraries
library(leaflet)        # "2.1.2"
library(rnaturalearth)  # "0.3.3"

# Create a leaflet map object
map <- leaflet()

# Specify the countries you want to display (e.g., Netherlands, Germany)
target_countries <- c("Netherlands", "Germany")

# Add country borders to the map
countries <- ne_countries(scale = "medium", returnclass = "sf")
target_countries <- countries[countries$name %in% target_countries, ]
map <- addPolygons(
  map,
  data = target_countries,
  color = "#666666",
  fillOpacity = 0,
  weight = 1
)

# Add a basic map layer without roads
map <- addTiles(
  map,
  urlTemplate = "https://{s}.basemaps.cartocdn.com/light_nolabels/{z}/{x}/{y}{r}.png",
  attribution = NULL
)

# Add markers for each coordinate
coordinates <- data.frame(
  latitude = c(52.721438, 52.542187, 52.534937, 52.540813, 52.353687,
               52.335187, 52.434062, 51.658562, 52.683312, 49.516312),
  longitude = c(5.924938, 5.491563, 5.494813, 5.571312, 5.523188,
                5.275313, 6.675688, 5.334812, 5.038937, 8.287437)
)

# Add markers to the map
map <- addMarkers(
  map,
  lng = coordinates$longitude,
  lat = coordinates$latitude,
  popup = as.character(1:nrow(coordinates))
)

# Display the map
map
